<?php
// $LastChangedDate: 2012-08-12 20:31:53 +0200 (Sun, 12 Aug 2012) $
// $Rev: 1697 $

class inv_dhcp4 {
	function mac_is_valid($mac)
	{
		$mac = strtolower(trim($mac));
		if ( preg_match('/[0-9a-f]{2}:[0-9a-f]{2}:[0-9a-f]{2}:[0-9a-f]{2}:[0-9a-f]{2}:[0-9a-f]{2}/', $mac) )
		{
			return true;
		} else {
			return false;
		}
	}

	function mac_is_blacklisted($mac)
	{
		global $config;
		$mac = strtolower(trim($mac));
		if ( $mac == "none" )
		{
			return false;
		}
		elseif ( $this->mac_is_valid($mac) )
		{
			if ( array_search($mac, $config["isdf"]["dhcp"]["macblacklist"]) === false )
			{
				return false;
			} else {
				return true;
			}
		} else {
			return false;
		}
	}

}

?>
